Bug 1096376 - Pacemaker nfsserver resource agent doesn't set the rpc.statd TCPPORT or UDPPORT via config options
Summary: Pacemaker nfsserver resource agent doesn't set the rpc.statd TCPPORT or UDPPO...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: resource-agents
Version: 6.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: David Vossel
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1096377
TreeView+ depends on / blocked
 
Reported: 2014-05-09 18:54 UTC by David Vossel
Modified: 2015-08-24 06:36 UTC (History)
5 users (show)

Fixed In Version: resource-agents-3.9.5-14.el6
Doc Type: Enhancement
Doc Text:
The Pacemaker nfsserver agent now sets the rpc.statd TCPPORT or UDPPORT via configuration options.
Clone Of:
: 1096377 (view as bug list)
Environment:
Last Closed: 2015-07-22 06:11:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1280 normal SHIPPED_LIVE resource-agents bug fix and enhancement update 2015-07-20 17:49:07 UTC

Description David Vossel 2014-05-09 18:54:03 UTC
Description of problem:

We need to maintain feature parity between the rgmanager and pacemaker resource agents. The rgmanager agent is gaining the ability to set the rpc.statd tcp/udp port via a OCF configuration option.

https://bugzilla.redhat.com/show_bug.cgi?id=918315

The pacemaker nfsserver agent needs this same ability.

Comment 2 David Vossel 2014-05-19 21:42:05 UTC
There is an upstream pull request related to this issue.
https://github.com/ClusterLabs/resource-agents/pull/430

I added the ability for the nfsserver resource agent to configure the ports used for all the nfs daemons.

Comment 7 michal novacek 2015-05-18 14:53:02 UTC
 
I have verified that different ports for nfsserver can be configured with
resource-agents-3.9.5-24.el6.x86_64

-----

I created the following config on all the cluster nodes, all ports are minus
one to the default settings.

virt-050: grep -v \# /etc/sysconfig/nfs | sort
LOCKD_TCPPORT=32802
LOCKD_UDPPORT=32768
MOUNTD_PORT=891
RQUOTAD_PORT=874
STATDARG="--no-notify"

[root@virt-079 ~]# OCF_FUNCTIONS_DIR=/usr/lib/ocf/lib/heartbeat \
OCF_RESKEY_nfs_shared_infodil=/mnt/shared0/nfs \
OCF_RESKEY_nfs_no_notify=true \
OCF_RESKEY_statd_port=661 OCF_RESKEY_statd_outgoing_port=2019 \
/usr/lib/ocf/resource.d/heartbeat/nfsserver start


lockd ports are correct:
[root@virt-079 ~]# lsmod | grep ^lockd
lockd                  73694  1 nfsd

[root@virt-079 ~]# cat /proc/sys/fs/nfs/nlm_tcpport
/proc/sys/fs/nfs/nlm_udpport
32802
32768


mountd and rquotad port seems to be correctly too:
[root@virt-079 ~]# netstat -ltpn | grep rpc.statd
...
tcp        0      0 :::891                      :::*                       
LISTEN      28425/rpc.mountd    
tcp        0      0 0.0.0.0:891                 0.0.0.0:*                  
LISTEN      28425/rpc.mountd    
tcp        0      0 0.0.0.0:874                 0.0.0.0:*                  
LISTEN      28420/rpc.rquotad   


statd ports are different as well:
[root@virt-078 ~]# netstat -ltpn | grep rpc.statd
tcp        0      0 0.0.0.0:661                 0.0.0.0:*
LISTEN      13147/rpc.statd     
tcp        0      0 :::661                      :::*
LISTEN      13147/rpc.statd

Comment 9 errata-xmlrpc 2015-07-22 06:11:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1280.html


Note You need to log in before you can comment on or make changes to this bug.